	<div class="blockform">
		<h2><span>New reports</span></h2>
		<div class="box">
			<form method="post" action="<%= url_for :action => 'zap' %>">
<% if @reports.length == 0 -%>
				<p>There are no new reports.</p>
<% else -%>
<% for r in @reports -%>
				<div class="inform">
					<fieldset>
						<legend>Reported <%= r.created_at %></legend>
						<div class="infldset">
							<table cellspacing="0">
								<tr>
									<th scope="row">Forum&nbsp;&raquo;&nbsp;Topic&nbsp;&raquo;&nbsp;Post</th>
									<td>
<% if r.forum -%>
										<a href="<%= url_for :controller => 'forum', :action => 'view', :id => r.forum.id %>"><%=h r.forum.forum_name %></a>
<% else -%>
										Deleted
<% end -%>
&nbsp;&raquo;&nbsp;
<% if r.topic -%>
										<a href="<%= url_for :controller => 'topic', :action => 'view', :id => r.topic.id %>"><%=h r.topic.subject %></a>
<% else -%>
										Deleted
<% end -%>
&nbsp;&raquo;&nbsp;
<% if r.post -%>
										<a href="<%= url_for :controller => 'topic', :action => 'view', :pid => r.post.id, :anchor => "p#{r.post.id}" %>">#<%= r.post.id %></a>
<% else -%>
										Deleted
<% end -%>
									</td>
								</tr>
								<tr>
									<th scope="row">Report by 
<% if r.reporter -%>
										<a href="<%= url_for :controller => 'user', :action => 'view', :id => r.reporter.id %>"><%=h r.reporter.username %></a>
<% else -%>
										Deleted user
<% end -%>
									<div><input type="submit" name="zap_id[<%= r.id %>]" value=" Zap " /></div></th>
									<td><%= h(r.post.message).gsub("\n",'<br />') %></td>
								</tr>
							</table>
						</div>
					</fieldset>
				</div>
<% end -%>
<% end -%>
			</form>
		</div>
	</div>

	<div class="blockform block2">
		<h2><span>10 last zapped reports</span></h2>
		<div class="box">
			<div class="fakeform">
<% if @zapped_reports.length == 0 -%>
				<p>There are no zapped reports.</p>
<% else -%>
<% for r in @zapped_reports -%>
				<div class="inform">
					<fieldset>
						<legend>Zapped <%= r.zapped %></legend>
						<div class="infldset">
							<table cellspacing="0">
								<tr>
									<th scope="row">Forum&nbsp;&raquo;&nbsp;Topic&nbsp;&raquo;&nbsp;Post</th>
									<td>
<% if r.forum -%>
										<a href="<%= url_for :controller => 'forum', :action => 'view', :id => r.forum.id %>"><%=h r.forum.forum_name %></a>
<% else -%>
										Deleted
<% end -%>
&nbsp;&raquo;&nbsp;
<% if r.topic -%>
										<a href="<%= url_for :controller => 'topic', :action => 'view', :id => r.topic.id %>"><%=h r.topic.subject %></a>
<% else -%>
										Deleted
<% end -%>
&nbsp;&raquo;&nbsp;
<% if r.post -%>
										<a href="<%= url_for :controller => 'topic', :action => 'view', :pid => r.post.id, :anchor => "p#{r.post.id}" %>">#<%= r.post.id %></a>
<% else -%>
										Deleted
<% end -%>
									</td>
								</tr>
								<tr>
									<th scope="row">Reported by 
<% if r.reporter -%>
										<a href="<%= url_for :controller => 'user', :action => 'view', :id => r.reporter.id %>"><%=h r.reporter.username %></a>
<% else -%>
										Deleted user
<% end -%>
<div class="topspace">Zapped by 
<% if r.zapper -%>
										<a href="<%= url_for :controller => 'user', :action => 'view', :id => r.zapper.id %>"><%=h r.zapper.username %></a>
<% else -%>
										Deleted user
<% end -%>
</div></th>
									<td><%= h(r.post.message).gsub("\n",'<br />') %></td>
								</tr>
							</table>
						</div>
					</fieldset>
				</div>
<% end -%>
<% end -%>
			</div>
		</div>
	</div>
	<div class="clearer"></div>
</div>
